Subject: Re: bug#34580: Service ssh-daemon could not be started

From: Ludovic Courtès <[email-masked]>
Date: Sat, 28 Sep 2019 21:47:10 +0200

Hi Danny!

Danny Milosavljevic <[email-masked]> skribis:

> So we could have a one-shot service "term-auto" which checks /proc/cmdline
> (which can't change until the next reboot anyway), and if there's a serial
> console, register a new (normal) service "term-ttyACM0" or whatever.  Otherwise
> it would just not register the "term-ttyACM0" service.  In both cases, its job
> would be done afterwards.  How then do we make shepherd actually start the new
> service?

The ‘start’ method should of ‘term-auto’ should be able to register a
new service and to call its ‘start’ method.  I haven’t tried but it
should work.

That would allow us to make ‘term-auto’ one-shot, which would be nicer!

Thanks,
Ludo’.